Redmine - Feature #20698

Add support for task list items in Textile formatting
2015-09-08 16:15 - Leandro Gehlen

Status: New Start date:

Priority: Normal Due date:

Assignee: % Done: 0%
Category: Issues Estimated time: 0.00 hour

Target version:

Resolution:

Description

| think it's necessary to create the task list markdown.

This feature exists in github:
https://help.github.com/articles/writing-on-github/#task-lists

Related issues:

Related to Redmine - Feature #35742: Enable task list items for CommonMark te... Closed

Related to Redmine - Feature #32424: CommonMark Markdown Text Formatting Closed

Has duplicate Redmine - Feature #7601: Checkbox in wiki syntax Closed 2011-02-10
Has duplicate Redmine - Feature #20691: Add ballot boxes ([,0,0) to Lists in ... Closed

Has duplicate Redmine - Feature #43037: Textile support for check list item Closed

History

#1 - 2015-09-08 16:41 - Toshi MARUYAMA

What is benefit compared to Redmine sub issues?

#2 - 2015-09-08 18:34 - Leandro Gehlen

| think that is the way, that is more easy, and it's possible to check, quickly, which sub tasks are completed

#3 - 2015-09-08 19:24 - budo kaiman
Toshi MARUYAMA wrote:

What is benefit compared to Redmine sub issues?

The syntax can be applied anywhere wiki format is used instead of just for keeping track of tasks. One example is to keep a list of non-task
requirements for each version (eg. all code has been reviewed, changelog is up-to-date, etc) in a wiki and check them off as they are validated.

#4 - 2015-09-09 00:48 - Toshi MARUYAMA

Leandro Gehlen wrote:

| think that is the way, that is more easy, and it's possible to check, quickly, which sub tasks are completed

AFAIK, GitHub does not have diff of description, but Redmine has.
"diff" "diff" "diff" ... in issue note is very annonying.

#5 - 2015-09-09 00:52 - Toshi MARUYAMA

budo kaiman wrote:
Toshi MARUYAMA wrote:

What is benefit compared to Redmine sub issues?

The syntax can be applied anywhere wiki format is used instead of just for keeping track of tasks.

Why not use issue with tracker (for example: "house keeping" / "misc jobs").
#6 - 2015-09-10 14:35 - Leandro Gehlen

| think the task-list can be used like steps to follow into a small issue
| think that sub tasks should be used when i have a big issue

#7 - 2015-09-13 08:25 - Jens Kramer
very related to #20691

| also think that would be nice to have (especially if we managed to make these boxes clickable without having to hit 'edit'). For the meantime, you
might want to check out the checklists plugin .

#8 - 2015-10-12 16:19 - Toshi MARUYAMA
- Related to Feature #20691: Add ballot boxes (0 ,0 0 ) to Lists in Wiki Textile/Mardown (Redcarpet) added

#9 - 2015-10-28 04:52 - Toshi MARUYAMA

- Subject changed from Task list markdown to Task list Textile/Mardown

#10 - 2015-10-28 04:54 - Toshi MARUYAMA
- Has duplicate Feature #7601: Checkbox in wiki syntax added

#11 - 2017-10-02 20:03 - Lukasz Jader
Currently we track our issues in GitLab but we want to switch to Redmine.

Our company consists of both technical and business people and the business people get used to Markdown task list ([] and [X]) - it WAY simpler and
quicker to use than when creating subissues.

IMHO the world is moving towards Markdown (with GitHub flavor), so should Redmine.
Just my two cents (describing what we, the users, need)...

#12 - 2018-02-09 11:19 - Javier Barroso

For some very small tasks that are delegated and that you only have to verify, it would be very useful to have checklists and not subtasks. | prefer
read the checklist at the issue description and not to have to use a plugin for it.

Maybe we can use the vimoutliner syntax [ ] and [X]

Thanks !

#13 - 2021-06-15 17:52 - lvan Gretsky

This is a great feature that is even more relevant today IMHO. Is there a chance it would be included id the roadmap?

#14 - 2022-01-22 10:57 - Marius BALTEANU
- Related to deleted (Feature #20691: Add ballot boxes (1 ,0,0 ) to Lists in Wiki Textile/Mardown (Redcarpet))

#15 - 2022-01-22 10:57 - Marius BALTEANU
- Has duplicate Feature #20691: Add ballot boxes (U ,0 ,0 ) to Lists in Wiki Textile’Mardown (Redcarpet) added

#16 - 2022-01-22 11:01 - Marius BALTEANU

- Subject changed from Task list Textile/Mardown to Add support for task list items in Textile formatting

The CommonMark formatter that is available in Redmine 5.0.0 (#32424) allows adding task list items, please see #35742 for more details.

| keep this open to track support for Textile formatter.

#17 - 2022-01-22 11:01 - Marius BALTEANU
- Related to Feature #35742: Enable task list items for CommonMark text formatting added

#18 - 2022-01-22 11:01 - Marius BALTEANU
- Related to Feature #32424: CommonMark Markdown Text Formatting added

#19 - 2025-07-22 14:25 - Roland Giesler

It's 3 year later and it doesn't seem there's any progress with this feature? Are there plans to finish this soon?
#20 - 2025-07-24 18:25 - Marius BALTEANU

Roland Giesler wrote in #note-19:
It's 3 year later and it doesn't seem there's any progress with this feature? Are there plans to finish this soon?
| personally don't plan to add this feature to Textile text formatting. From my perspective, Textile is a legacy text formatting engine, not actively

maintained by the community and users should migrate to Markdown (Commonmark). Of course, if someone contributes with this feature | won't
object.

#21 - 2025-07-24 18:26 - Marius BALTEANU
- Related to Feature #43037: Textile support for check list item added

#22 - 2025-07-24 18:26 - Marius BALTEANU
- Related to deleted (Feature #43037: Textile support for check list item)

#23 - 2025-07-24 18:26 - Marius BALTEANU
- Has duplicate Feature #43037: Textile support for check list item added

#24 - 2025-07-25 13:21 - Roland Giesler
Marius BALTEANU wrote in #note-20:
Roland Giesler wrote in #note-19:
It's 3 year later and it doesn't seem there's any progress with this feature? Are there plans to finish this soon?
| personally don't plan to add this feature to Textile text formatting. From my perspective, Textile is a legacy text formatting engine, not actively

maintained by the community and users should migrate to Markdown (Commonmark). Of course, if someone contributes with this feature | won't
object.

| hear you, but this is actually a pity. Commonmark Markdown maybe newer, but it's less feature rich, more verbose and in general a poorer
markdown language. | don't know why Textile is not being maintained though and | suppose it's not relevant here.
